# coding: utf-8

"""
    Midgard Public API

    The Midgard Public API queries THORChain and any chains linked via the Bifröst and prepares information about the network to be readily available for public users. The API parses transaction event data from THORChain and stores them in a time-series database to make time-dependent queries easy. Midgard does not hold critical information. To interact with BEPSwap and Asgardex, users should query THORChain directly.  # noqa: E501

    OpenAPI spec version: 1.0.0-oas3
    Contact: devs@thorchain.org
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class InlineResponse200(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'database': 'bool',
        'scanner_height': 'int',
        'catching_up': 'bool'
    }

    attribute_map = {
        'database': 'database',
        'scanner_height': 'scannerHeight',
        'catching_up': 'catching_up'
    }

    def __init__(self, database=None, scanner_height=None, catching_up=None):  # noqa: E501
        """InlineResponse200 - a model defined in Swagger"""  # noqa: E501
        self._database = None
        self._scanner_height = None
        self._catching_up = None
        self.discriminator = None
        if database is not None:
            self.database = database
        if scanner_height is not None:
            self.scanner_height = scanner_height
        if catching_up is not None:
            self.catching_up = catching_up

    @property
    def database(self):
        """Gets the database of this InlineResponse200.  # noqa: E501


        :return: The database of this InlineResponse200.  # noqa: E501
        :rtype: bool
        """
        return self._database

    @database.setter
    def database(self, database):
        """Sets the database of this InlineResponse200.


        :param database: The database of this InlineResponse200.  # noqa: E501
        :type: bool
        """

        self._database = database

    @property
    def scanner_height(self):
        """Gets the scanner_height of this InlineResponse200.  # noqa: E501


        :return: The scanner_height of this InlineResponse200.  # noqa: E501
        :rtype: int
        """
        return self._scanner_height

    @scanner_height.setter
    def scanner_height(self, scanner_height):
        """Sets the scanner_height of this InlineResponse200.


        :param scanner_height: The scanner_height of this InlineResponse200.  # noqa: E501
        :type: int
        """

        self._scanner_height = scanner_height

    @property
    def catching_up(self):
        """Gets the catching_up of this InlineResponse200.  # noqa: E501


        :return: The catching_up of this InlineResponse200.  # noqa: E501
        :rtype: bool
        """
        return self._catching_up

    @catching_up.setter
    def catching_up(self, catching_up):
        """Sets the catching_up of this InlineResponse200.


        :param catching_up: The catching_up of this InlineResponse200.  # noqa: E501
        :type: bool
        """

        self._catching_up = catching_up

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(InlineResponse200, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, InlineResponse200):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
